<!DOCTYPE html>
<html>

<?php include 'includes/header.php'?>

<body>

<?php include 'includes/sidebar.php'?>

  <!-- Main content -->
  <div class="main-content" id="panel">
    <!-- Topnav -->

    <?php include 'includes/topnav.php'?>
    
    <div class="header bg-primary pb-6">
      <div class="container-fluid">
        <div class="header-body">
          <div class="row align-items-center py-4">
            <div class="col-lg-6 col-7">
              <h6 class="h2 text-white d-inline-block mb-0">Audio Reports</h6>
              <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                  <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                  <li class="breadcrumb-item"><a href="#">Dashboard</a></li>
                  <li class="breadcrumb-item active" aria-current="page">Reports</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--6">
      <div class="row">
        <div class="col-xl-4 order-xl-1">
          <div class="card">
            <div class="card-header">
              <div class="row align-items-center">
                <div class="col-8">
                  <h3 class="mb-0">Dialect Lists </h3>
                </div>
                <table class="table align-items-center table-flush">
                <thead class="thead-light">
                  <tr>
                    <th scope="col" class="sort" data-sort="name">Dialect</th>
                    <th scope="col" class="sort" data-sort="name">Number of Audio Files</th>
                  </tr>
                </thead>
                <tbody class="list">
                  
                <tr>
                                           <td>Tagalog</td>
                                           <td>15</td>
                                       </tr>
                                       <tr>
                                           <td>Cebuano</td>
                                           <td>25</td>
                                       </tr>
                                       <tr>
                                           <td>Ilocano</td>
                                           <td>35</td>
                                       </tr>
                                       <tr>
                                           <td>English</td>
                                           <td>20</td>
                                       </tr>
                                       <tr>
                                           <td>Spanish</td>
                                           <td>10</td>
                                       </tr>
                                       <tr>
                                           <td>Chinese</td>
                                           <td>45</td>
                                       </tr>
                </tbody>
              </table>
              </div>
            </div>
          </div>
        </div>
        
        <div class="col-xl-8 order-xl-1">
          <div class="card">
            <div class="card-header">
              <div class="row align-items-center">
                <div class="col-8">
                  <h3 class="mb-0">Number of Audio Files</h3>
                </div>
              </div>
            </div>
            <div class="card-body">
            <div id="chartContainer" style="height: 370px; max-width: 920px; margin: 0px auto;"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php include 'includes/footer.php'?>
  <script src="../assets/js/canvasjs.min.js"></script>
   <script>
       window.onload = function () {

           var chart = new CanvasJS.Chart("chartContainer", {
               theme: "light1",
               animationEnabled: true,
               data: [{
                   type: "pie",
                   indexLabelFontSize: 18,
                   radius: 80,
                   indexLabel: "{label} - {y}",
                   yValueFormatString: "###'%'",
                   click: explodePie,
                   dataPoints: [
                       { y: 8, label: "Tagalog" },
                       { y: 5, label: "Cebuano" },
                       { y: 7, label: "Ilocano" },
                       { y: 9, label: "English" },
                       { y: 10, label: "Spanish" },
                       { y: 9, label: "chinese" }
                   ]
               }]
           });
           chart.render();

           function explodePie(e) {
               for (var i = 0; i < e.dataSeries.dataPoints.length; i++) {
                   if (i !== e.dataPointIndex)
                       e.dataSeries.dataPoints[i].exploded = false;
               }
           }

       }
   </script>
</body>

</html>