<!DOCTYPE html>
<html>

<?php include 'includes/header.php'?>

<body>

<?php include 'includes/sidebar.php'?>

  <!-- Main content -->
  <div class="main-content" id="panel">
    <!-- Topnav -->

    <?php include 'includes/topnav.php'?>
    
    <div class="header bg-primary pb-6">
      <div class="container-fluid">
        <div class="header-body">
          <div class="row align-items-center py-4">
            <div class="col-lg-6 col-7">
              <h6 class="h2 text-white d-inline-block mb-0">Audio Reports</h6>
              <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                  <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                  <li class="breadcrumb-item"><a href="#">Dashboard</a></li>
                  <li class="breadcrumb-item active" aria-current="page">Reports</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--6">
      <div class="row">
        <div class="col-xl-4 order-xl-1">
          <div class="card">
            <div class="card-header">
              <div class="row align-items-center">
                <div class="col-8">
                  <h3 class="mb-0">Audio Lists </h3>
                </div>
                <table class="table align-items-center table-flush">
                <thead class="thead-light">
                  <tr>
                    <th scope="col" class="sort" data-sort="name">Month</th>
                    <th scope="col" class="sort" data-sort="name">Number of Audio</th>
                  </tr>
                </thead>
                <tbody class="list">
                  
                <tr>
                                           <td>January</td>
                                           <td>15</td>
                                       </tr>
                                       <tr>
                                           <td>February</td>
                                           <td>25</td>
                                       </tr>
                                       <tr>
                                           <td>March</td>
                                           <td>35</td>
                                       </tr>
                                       <tr>
                                           <td>April</td>
                                           <td>20</td>
                                       </tr>
                                       <tr>
                                           <td>May</td>
                                           <td>10</td>
                                       </tr>
                                       <tr>
                                           <td>June</td>
                                           <td>45</td>
                                       </tr>
                                       <tr>
                                           <td>July</td>
                                           <td>40</td>
                                       </tr>
                                       <tr>
                                           <td>August</td>
                                           <td>45</td>
                                       </tr>
                                       <tr>
                                           <td>September</td>
                                           <td>50</td>
                                       </tr>
                                       <tr>
                                           <td>October</td>
                                           <td>55</td>
                                       </tr>
                                       <tr>
                                           <td>November</td>
                                           <td>60</td>
                                       </tr>
                                       <tr>
                                           <td>December</td>
                                           <td>65</td>
                                       </tr>
                </tbody>
              </table>
              </div>
            </div>
          </div>
        </div>
        
        <div class="col-xl-8 order-xl-1">
          <div class="card">
            <div class="card-header">
              <div class="row align-items-center">
                <div class="col-8">
                  <h3 class="mb-0">Number of Audio </h3>
                </div>
              </div>
            </div>
            <div class="card-body">
            <canvas id="bargraph"></canvas>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php include 'includes/footer.php'?>
  <script src="../assets/js/chart.js"></script>
  <script>
        document.addEventListener("DOMContentLoaded", function () {

            // Bar Chart

            var barChartData = {
                labels: ["January","February","March","April","May","June","July","August","September","October","November","December"],
                datasets: [{
                    label: 'Uploaded Audio',
                    backgroundColor: 'rgb(79,129,189)',
                    borderColor: 'rgba(0, 158, 251, 1)',
                    borderWidth: 1,
                    data: [15,55,17,19,14,45,40,50,55,60,65,70]
                }]
            };

            var ctx = document.getElementById('bargraph').getContext('2d');
            window.myBar = new Chart(ctx, {
                type: 'bar',
                data: barChartData,
                options: {
                    responsive: true,
                    legend: {
                        display: false,
                    }
                }
            });

        });
    </script>
</body>

</html>