<!DOCTYPE html>
<html>

<?php include 'includes/header.php'?>

<body>

<?php include 'includes/sidebar.php'?>

  <!-- Main content -->
  <div class="main-content" id="panel">
    <!-- Topnav -->

    <?php include 'includes/topnav.php'?>
    
    <div class="header bg-primary pb-6">
      <div class="container-fluid">
        <div class="header-body">
          <div class="row align-items-center py-4">
            <div class="col-lg-6 col-7">
              <h6 class="h2 text-white d-inline-block mb-0">User Reports</h6>
              <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                  <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                  <li class="breadcrumb-item"><a href="#">Dashboard</a></li>
                  <li class="breadcrumb-item active" aria-current="page">Reports</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--6">
      <div class="row">
        <div class="col-xl-4 order-xl-1">
          <div class="card">
            <div class="card-header">
              <div class="row align-items-center">
                <div class="col-8">
                  <h3 class="mb-0">User Lists </h3>
                </div>
                <table class="table align-items-center table-flush">
                <thead class="thead-light">
                  <tr>
                    <th scope="col" class="sort" data-sort="name">Day</th>
                    <th scope="col" class="sort" data-sort="name">Number of Users</th>
                  </tr>
                </thead>
                <tbody class="list">
                  <tr>
                    <td>1</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>15</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>20</td>
                  </tr>
                  <tr>
                    <td>4</td>
                    <td>15</td>
                  </tr>
                  <tr>
                    <td>5</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>6</td>
                    <td>15</td>
                  </tr>
                  <tr>
                    <td>7</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>8</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>9</td>
                    <td>15</td>
                  </tr>
                  <tr>
                    <td>10</td>
                    <td>25</td>
                  </tr>
                  <tr>
                    <td>11</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>12</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>13</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>14</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>15</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>16</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>17</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>18</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>19</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>20</td>
                    <td>15</td>
                  </tr>
                  <tr>
                    <td>21</td>
                    <td>25</td>
                  </tr>
                  <tr>
                    <td>22</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>23</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>24</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>25</td>
                    <td>20</td>
                  </tr>
                  <tr>
                    <td>26</td>
                    <td>10</td>
                  </tr>
                  <tr>
                    <td>27</td>
                    <td>15</td>
                  </tr>
                  <tr>
                    <td>28</td>
                    <td>15</td>
                  </tr>
                  <tr>
                    <td>29</td>
                    <td>25</td>
                  </tr>
                  <tr>
                    <td>30</td>
                    <td>20</td>
                  </tr>
                  <tr>
                    <td>31</td>
                    <td>10</td>
                  </tr>
                </tbody>
              </table>
              </div>
            </div>
          </div>
        </div>
        
        <div class="col-xl-8 order-xl-1">
          <div class="card">
            <div class="card-header">
              <div class="row align-items-center">
                <div class="col-8">
                  <h3 class="mb-0">Number of Users </h3>
                </div>
              </div>
            </div>
            <div class="card-body">
            <canvas id="bargraph"></canvas>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php include 'includes/footer.php'?>
  <script src="../assets/js/chart.js"></script>
    <script>
        document.addEventListener("DOMContentLoaded", function () {

            var barChartData = {
                labels: ["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31"],
                datasets: [{
                    label: 'Users',
                    borderColor: 'rgba(0, 158, 251, 1)',
                    borderWidth: 1,
                    data: [22,5,10,15,10,8,9,5,7,9,23,12,22,5,10,15,10,8,9,5,7,9,23,12,22,5,10,15,10,8,9,5,7]
                }]
            };

            var ctx = document.getElementById('bargraph').getContext('2d');
            window.myBar = new Chart(ctx, {
                type: 'line',
                data: barChartData,
                options: {
                    responsive: true,
                    legend: {
                        display: false,
                    }
                }
            });

        });
    </script>
</body>

</html>